POST
/
order
/
refunds
/
{id}
/
withdraw
Withdraw buyer refund
curl --request POST \
  --url https://api.example.com/order/refunds/{id}/withdraw \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.example.com/order/refunds/{id}/withdraw"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.example.com/order/refunds/{id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "accountID": "<string>",
    "dateCreated": "<string>",
    "dateReceivedBySeller": "<string>",
    "id": "<string>",
    "orderID": "<string>",
    "reason": "<string>",
    "refundTxID": "<string>",
    "rejectionReason": "<string>",
    "resources": [
      {
        "checksum": "<string>",
        "id": "<string>",
        "mime": "<string>",
        "size": 123,
        "url": "<string>"
      }
    ],
    "returnToBuyerTransportID": 123,
    "returnTransportID": 123,
    "reviewDeadline": "<string>",
    "sellerDecisionAt": "<string>"
  },
  "error": {
    "code": "<string>",
    "http_status": 123,
    "message": "<string>"
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

JWT access token. Format: "Bearer <token>".

Path Parameters

id
string
required

Refund ID (UUID)

Response

OK

data
object
error
object